ArrayObject::append
ArrayObject::__construct
ArrayObject
PHP Manual

# ArrayObject::asort

(PHP 5 >= 5.2.0)

ArrayObject::asort — Sort the entries by value

### Description

void ArrayObject::asort ( void )

Sorts the entries such that the keys maintain their correlation with the entries they are associated with. This is used mainly when sorting associative arrays where the actual element order is significant.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 ArrayObject::asort() example

`<?php
$fruits = array("d" => "lemon", "a" => "orange", "b" => "banana", "c" => "apple");
$fruitArrayObject = new ArrayObject($fruits);
$fruitArrayObject->asort();
foreach ($fruitArrayObject as $key => $val) {
echo "$key = $val\n";
}
?>`

The above example will output:

    c = apple
    b = banana
    d = lemon
    a = orange

The fruits have been sorted in alphabetical order, and the key associated with each entry has been maintained.

ArrayObject::append
ArrayObject::__construct
ArrayObject
PHP Manual